package cn.newfeifan.mall.module.distri.controller.admin.orderpercentage.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 积分相关计算浮动百分比设置新增/修改 Request VO")
@Data
public class OrderPercentageSaveReqVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "2203")
    private Long id;

    @Schema(description = "毛利 = 成本 * 0.38... (推广费用)")
    private Integer grossProfitPerc;

    @Schema(description = "推广-用户额度 百分比")
    private Integer grossProfitUserQuotaPerc;

    @Schema(description = "推广-推荐人额度 百分比")
    private Integer grossProfitAncestorQuotaPerc;

    @Schema(description = "推广-合赢奖额度(浮动) 百分比")
    private Integer grossProfitBonusQuotaPerc;

    @Schema(description = "推广-平台分成额度(浮动) 百分比")
    private Integer grossProfitPlatformQuotaPerc;

    @Schema(description = "分成百分比")
    private Integer divideIntoPerc;
    @Schema(description = "是否启用 0关闭 1启动", example = "2")
    private Integer status;





}