package cn.newfeifan.mall.module.distri.controller.admin.ptprofitlog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 平台利润记录新增/修改 Request VO")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PtProfitLogSaveReqVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "12046")
    private Long id;

    @Schema(description = "增加金额")
    private Integer amount;

    @Schema(description = "增加后金额")
    private Integer afterAmount;

    @Schema(description = "收益类型 1:平台服务器费 2:平台收益 3用户下单返回毛利额度 4直推人额度 5合赢奖", example = "2")
    private Integer profitStatus;

    @Schema(description = "用户ID , 只有收益类型为 3,4才有值", example = "6982")
    private Long userId;

    @Schema(description = "订单号", example = "15682")
    private Long orderId;

    @Schema(description = "计算百分比模板")
    private String percentTemplate;

}